SystemOrganization addCategory: #'Pier-Titles'!

PRWidget subclass: #TitleOfWidget
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Titles'!

TitleOfWidget subclass: #TitleOfChildrenOnlyWidget
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Titles'!

!TitleOfChildrenOnlyWidget class methodsFor: 'as yet unclassified' stamp: 'tg 6/27/2008 15:57'!
isAbstract
	^ false! !

!TitleOfChildrenOnlyWidget class methodsFor: 'as yet unclassified' stamp: 'tg 6/27/2008 16:32'!
label
	^ 'Title of children only'! !

!TitleOfChildrenOnlyWidget methodsFor: 'as yet unclassified' stamp: 'tg 6/27/2008 16:27'!
renderContentOn: html

	self level isNil ifFalse: [
		self context structure parents size > self level ifTrue: [
			html heading
				level: 1;
				class: 'heading';
				with: self context structure title ]
	]		
! !

TitleOfWidget subclass: #TitleOfSectionWidget
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Titles'!

!TitleOfSectionWidget class methodsFor: 'as yet unclassified' stamp: 'tg 7/2/2008 17:33'!
descriptionHeadingAsLink
	^ MABooleanDescription new
		default: false;
		accessor: #headingAsLink;
		label: 'Heading as Link';
		priority: 400;
		yourself! !

!TitleOfSectionWidget class methodsFor: 'as yet unclassified' stamp: 'tg 6/29/2008 17:16'!
isAbstract
	^ false! !

!TitleOfSectionWidget class methodsFor: 'as yet unclassified' stamp: 'tg 6/29/2008 17:16'!
label
	^ 'Title of top section'! !

!TitleOfSectionWidget methodsFor: 'as yet unclassified' stamp: 'tg 7/2/2008 17:34'!
headingAsLink
	^ self read: #descriptionHeadingAsLink! !

!TitleOfSectionWidget methodsFor: 'as yet unclassified' stamp: 'tg 7/2/2008 17:33'!
renderContentOn: html

	(self level notNil and: [self level isZero not]) ifTrue: [
		self headingAsLink ifTrue: [
			html anchor goto: (self context structure: ((self context structure parents) at: self level)); with: [self renderTitleOn: html]
		] ifFalse: [self renderTitleOn: html]
	]! !

!TitleOfSectionWidget methodsFor: 'as yet unclassified' stamp: 'tg 7/2/2008 17:30'!
renderTitleOn: html
	html heading
				level: 1;
				class: 'heading';
				with: ((self context structure parents) at: self level) title
! !

!TitleOfWidget class methodsFor: 'as yet unclassified' stamp: 'tg 6/29/2008 17:17'!
descriptionLevel
	^ MANumberDescription new
		default: 0;
		accessor: #level;
		label: 'Level';
		priority: 300;
		beInteger;
		min: 0;
		yourself! !

!TitleOfWidget methodsFor: 'as yet unclassified' stamp: 'tg 6/29/2008 17:17'!
level
	^ self read: #descriptionLevel! !
